ResourceLimit (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class ResourceLimit

    java.lang.Object
      org.hyperic.sigar.ResourceLimit

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceLimit

extends java.lang.Object
implements java.io.Serializable

ResourceLimit sigar class.

See Also:
  Serialized Form

Constructor Summary
`ResourceLimit()`

Method Summary
`void` | `gather(Sigar sigar)`
`long` | `getCoreCur()` Get the core_cur.
`long` | `getCoreMax()` Get the core_max.
`long` | `getCpuCur()` Get the cpu_cur.
`long` | `getCpuMax()` Get the cpu_max.
`long` | `getDataCur()` Get the data_cur.
`long` | `getDataMax()` Get the data_max.
`long` | `getFileSizeCur()` Get the file_size_cur.
`long` | `getFileSizeMax()` Get the file_size_max.
`long` | `getMemoryCur()` Get the memory_cur.
`long` | `getMemoryMax()` Get the memory_max.
`long` | `getOpenFilesCur()` Get the open_files_cur.
`long` | `getOpenFilesMax()` Get the open_files_max.
`long` | `getPipeSizeCur()` Get the pipe_size_cur.
`long` | `getPipeSizeMax()` Get the pipe_size_max.
`long` | `getProcessesCur()` Get the processes_cur.
`long` | `getProcessesMax()` Get the processes_max.
`long` | `getStackCur()` Get the stack_cur.
`long` | `getStackMax()` Get the stack_max.
`long` | `getVirtualMemoryCur()` Get the virtual_memory_cur.
`long` | `getVirtualMemoryMax()` Get the virtual_memory_max.
`static long` | `INFINITY()`
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceLimit

    public ResourceLimit()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getCpuCur

    public long getCpuCur()

  Get the cpu_cur.

  Supported Platforms: Undocumented.

  Returns:
    cpu_cur

### getCpuMax

    public long getCpuMax()

  Get the cpu_max.

  Supported Platforms: Undocumented.

  Returns:
    cpu_max

### getFileSizeCur

    public long getFileSizeCur()

  Get the file_size_cur.

  Supported Platforms: Undocumented.

  Returns:
    file_size_cur

### getFileSizeMax

    public long getFileSizeMax()

  Get the file_size_max.

  Supported Platforms: Undocumented.

  Returns:
    file_size_max

### getPipeSizeMax

    public long getPipeSizeMax()

  Get the pipe_size_max.

  Supported Platforms: Undocumented.

  Returns:
    pipe_size_max

### getPipeSizeCur

    public long getPipeSizeCur()

  Get the pipe_size_cur.

  Supported Platforms: Undocumented.

  Returns:
    pipe_size_cur

### getDataCur

    public long getDataCur()

  Get the data_cur.

  Supported Platforms: Undocumented.

  Returns:
    data_cur

### getDataMax

    public long getDataMax()

  Get the data_max.

  Supported Platforms: Undocumented.

  Returns:
    data_max

### getStackCur

    public long getStackCur()

  Get the stack_cur.

  Supported Platforms: Undocumented.

  Returns:
    stack_cur

### getStackMax

    public long getStackMax()

  Get the stack_max.

  Supported Platforms: Undocumented.

  Returns:
    stack_max

### getCoreCur

    public long getCoreCur()

  Get the core_cur.

  Supported Platforms: Undocumented.

  Returns:
    core_cur

### getCoreMax

    public long getCoreMax()

  Get the core_max.

  Supported Platforms: Undocumented.

  Returns:
    core_max

### getMemoryCur

    public long getMemoryCur()

  Get the memory_cur.

  Supported Platforms: Undocumented.

  Returns:
    memory_cur

### getMemoryMax

    public long getMemoryMax()

  Get the memory_max.

  Supported Platforms: Undocumented.

  Returns:
    memory_max

### getProcessesCur

    public long getProcessesCur()

  Get the processes_cur.

  Supported Platforms: Undocumented.

  Returns:
    processes_cur

### getProcessesMax

    public long getProcessesMax()

  Get the processes_max.

  Supported Platforms: Undocumented.

  Returns:
    processes_max

### getOpenFilesCur

    public long getOpenFilesCur()

  Get the open_files_cur.

  Supported Platforms: Undocumented.

  Returns:
    open_files_cur

### getOpenFilesMax

    public long getOpenFilesMax()

  Get the open_files_max.

  Supported Platforms: Undocumented.

  Returns:
    open_files_max

### getVirtualMemoryCur

    public long getVirtualMemoryCur()

  Get the virtual_memory_cur.

  Supported Platforms: Undocumented.

  Returns:
    virtual_memory_cur

### getVirtualMemoryMax

    public long getVirtualMemoryMax()

  Get the virtual_memory_max.

  Supported Platforms: Undocumented.

  Returns:
    virtual_memory_max

### INFINITY

    public static long INFINITY()

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.